*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{
  font-family:Arial, Helvetica, sans-serif;
  background:#020817;
  color:white;
}
html{
  scroll-behavior:smooth;
}

/* HERO ANIMATION */

.hero-content{
  animation:fadeUp 1.2s ease forwards;
}

.logo{
  animation:slideDown 1s ease forwards;
}

.nav-links a{
  position:relative;
}
.menu-btn{
  display:none;
  background:none;
  border:1px solid rgba(0,102,255,.5);
  color:white;
  font-size:1.8rem;
  padding:8px 14px;
  border-radius:10px;
  cursor:pointer;
}
@media(max-width:900px){

  nav{
    flex-direction:row !important;
    padding:16px 5%;
  }

  .menu-btn{
    display:block;
  }

  .nav-links{
    display:none !important;
    position:absolute;
    top:75px;
    left:5%;
    right:5%;
    flex-direction:column;
    background:rgba(2,8,23,.97);
    border:1px solid rgba(0,102,255,.35);
    border-radius:18px;
    overflow:hidden;
  }

  .nav-links.active{
    display:flex !important;
  }

  .nav-links a{
    padding:18px;
    text-align:center;
    border-bottom:1px solid rgba(255,255,255,.08);
  }
}

.nav-links a::after{
  content:"";
  position:absolute;
  left:0;
  bottom:-6px;
  width:0;
  height:2px;
  background:#0066ff;
  transition:.3s;
}

.nav-links a:hover::after{
  width:100%;
}

/* GLOWING BUTTON */

.hero-btn,
.marketing-card a,
.work-card a,
.price-card a,
.contact-form button{
  position:relative;
  overflow:hidden;
}

.hero-btn::before,
.marketing-card a::before,
.work-card a::before,
.price-card a::before,
.contact-form button::before{
  content:"";
  position:absolute;
  top:0;
  left:-100%;
  width:100%;
  height:100%;
  background:linear-gradient(90deg, transparent, rgba(255,255,255,.35), transparent);
  transition:.5s;
}

.hero-btn:hover::before,
.marketing-card a:hover::before,
.work-card a:hover::before,
.price-card a:hover::before,
.contact-form button:hover::before{
  left:100%;
}

/* CARDS ANIMATION */

.marketing-card,
.work-card,
.price-card,
.card,
.addons-box,
.contact-form{
  animation:fadeUp 1s ease forwards;
}

.marketing-card:hover,
.work-card:hover,
.price-card:hover,
.card:hover{
  transform:translateY(-10px) scale(1.02);
}


/* FLOATING STEPS */

.step-number{
  animation:float 3s ease-in-out infinite;
}

/* INPUT GLOW */

.contact-form input:focus,
.contact-form textarea:focus{
  border-color:#0066ff;
  box-shadow:0 0 20px rgba(0,102,255,.45);
}
/* ANIMATE EVERY SECTION */

section{
  animation:pageFadeUp 1s ease both;
  animation-timeline:view();
  animation-range:entry 0% cover 30%;
}

header{
  animation:pageFadeIn 1.2s ease both;
}

footer{
  animation:pageFadeUp 1s ease both;
}

/* DELAY CARDS */

.marketing-card:nth-child(1),
.work-card:nth-child(1),
.price-card:nth-child(1),
.card:nth-child(1){
  animation-delay:.1s;
}

.marketing-card:nth-child(2),
.work-card:nth-child(2),
.price-card:nth-child(2),
.card:nth-child(2){
  animation-delay:.2s;
}

.marketing-card:nth-child(3),
.work-card:nth-child(3),
.price-card:nth-child(3),
.card:nth-child(3){
  animation-delay:.3s;
}

.marketing-card:nth-child(4),
.card:nth-child(4){
  animation-delay:.4s;
}

/* EXTRA PAGE MOTION */

.marketing,
.portfolio,
.pricing,
.addons,
.process,
.contact,
.services{
  opacity:0;
  transform:translateY(60px);
}

@keyframes pageFadeUp{
  from{
    opacity:0;
    transform:translateY(60px);
  }

  to{
    opacity:1;
    transform:translateY(0);
  }
}

@keyframes pageFadeIn{
  from{
    opacity:0;
  }

  to{
    opacity:1;
  }
}

/* BACKGROUND GLOW */

.hero::after{
  content:"";
  position:absolute;
  inset:0;
  background:
    radial-gradient(circle at 70% 30%, rgba(0,102,255,.25), transparent 35%),
    radial-gradient(circle at 20% 80%, rgba(0,102,255,.18), transparent 35%);
  pointer-events:none;
}

.hero{
  position:relative;
  overflow:hidden;
}

nav,
.hero-content{
  position:relative;
  z-index:2;
}

/* KEYFRAMES */

@keyframes fadeUp{
  from{
    opacity:0;
    transform:translateY(40px);
  }
  to{
    opacity:1;
    transform:translateY(0);
  }
}

@keyframes slideDown{
  from{
    opacity:0;
    transform:translateY(-30px);
  }
  to{
    opacity:1;
    transform:translateY(0);
  }
}

@keyframes float{
  0%{
    transform:translateY(0);
  }
  50%{
    transform:translateY(-10px);
  }
  100%{
    transform:translateY(0);
  }
}

/* HERO */

.hero{
  min-height:100vh;

  background:
  linear-gradient(to right,
  rgba(2,8,23,.97),
  rgba(2,8,23,.75)),
  url("banner.png");

  background-size:cover;
  background-position:center;

  padding:40px 8%;
}

/* NAVBAR */

nav{
  position:fixed;

  top:0;
  left:0;

  width:100%;

  display:flex;
  justify-content:space-between;
  align-items:center;

  padding:20px 8%;

  background:rgba(2,8,23,.85);

  backdrop-filter:blur(12px);

  border-bottom:1px solid rgba(0,102,255,.2);

  z-index:9999;
}

.logo{
  font-size:1.6rem;
  font-weight:bold;
  letter-spacing:2px;
}

.logo span{
  color:#0066ff;
}
/* FLOATING DOTS */

.floating-dots{
  position:fixed;
  inset:0;
  overflow:hidden;
  pointer-events:none;
  z-index:1;
}

.floating-dots span{
  position:absolute;
  display:block;

  width:8px;
  height:8px;

  background:#0066ff;

  border-radius:50%;

  opacity:.35;

  box-shadow:
  0 0 10px #0066ff,
  0 0 20px #0066ff;

  animation:floatDots linear infinite;
}

/* RANDOM POSITIONS */

.floating-dots span:nth-child(1){
  left:5%;
  animation-duration:22s;
  animation-delay:0s;
  top:90%;
}

.floating-dots span:nth-child(2){
  left:15%;
  animation-duration:28s;
  animation-delay:2s;
  top:95%;
}

.floating-dots span:nth-child(3){
  left:25%;
  animation-duration:18s;
  animation-delay:4s;
  top:92%;
}

.floating-dots span:nth-child(4){
  left:35%;
  animation-duration:30s;
  animation-delay:1s;
  top:96%;
}

.floating-dots span:nth-child(5){
  left:45%;
  animation-duration:24s;
  animation-delay:5s;
  top:91%;
}

.floating-dots span:nth-child(6){
  left:55%;
  animation-duration:20s;
  animation-delay:3s;
  top:94%;
}

.floating-dots span:nth-child(7){
  left:65%;
  animation-duration:26s;
  animation-delay:6s;
  top:93%;
}

.floating-dots span:nth-child(8){
  left:75%;
  animation-duration:32s;
  animation-delay:2s;
  top:95%;
}

.floating-dots span:nth-child(9){
  left:85%;
  animation-duration:21s;
  animation-delay:4s;
  top:90%;
}

.floating-dots span:nth-child(10){
  left:95%;
  animation-duration:27s;
  animation-delay:1s;
  top:97%;
}

/* FLOAT ANIMATION */

@keyframes floatDots{
  0%{
    transform:translateY(0) translateX(0);
    opacity:0;
  }

  10%{
    opacity:.35;
  }

  100%{
    transform:translateY(-120vh) translateX(-40px);
    opacity:0;
  }
}

.nav-links{
  display:flex;
  gap:35px;
}

.nav-links a{
  color:white;
  text-decoration:none;
  font-size:.95rem;
  transition:.3s;
}

.nav-links a:hover{
  color:#0066ff;
}

/* HERO CONTENT */

.hero-content{
  margin-top:160px;
  max-width:700px;
}
.hero{
  min-height:100vh;

  background:
  linear-gradient(to right,
  rgba(2,8,23,.97),
  rgba(2,8,23,.75)),
  url("banner.png");

  background-size:cover;
  background-position:center;

  padding:40px 8%;
  padding-top:140px;

  position:relative;
  overflow:hidden;
}

.hero-content h1{
  font-size:4.5rem;
  line-height:1.1;
  margin-bottom:20px;
}

.hero-content h1 span{
  color:#0066ff;
}

.hero-content p{
  font-size:1.2rem;
  color:#cfd8e3;
  margin-bottom:35px;
}

.hero-btn{
  display:inline-block;
  padding:16px 35px;
  border:none;
  border-radius:10px;
  background:#0066ff;
  color:white;
  font-weight:bold;
  text-decoration:none;
  cursor:pointer;
  transition:.3s;
}

.hero-btn:hover{
  transform:translateY(-3px);
  box-shadow:0 0 25px #0066ff;
}

/* SERVICES */

.services{
  padding:100px 8%;
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(240px,1fr));
  gap:25px;
  background:#040b1f;
}

.card{
  background:#081226;
  padding:35px;
  border:1px solid rgba(0,102,255,.25);
  border-radius:20px;
  transition:.3s;
}

.card:hover{
  transform:translateY(-8px);
  border-color:#0066ff;
  box-shadow:0 0 30px rgba(0,102,255,.25);
}

.card h2{
  margin-bottom:15px;
  color:#0066ff;
}

.card p{
  color:#b6c2d1;
  line-height:1.6;
}

/* FOOTER */

footer{
  text-align:center;
  padding:30px;
  background:#020817;
  color:#7f8da1;
}
.portfolio{
  padding:100px 8%;
  background:#020817;
  text-align:center;
}

.portfolio h2{
  font-size:3rem;
  margin-bottom:15px;
}

.portfolio-intro{
  color:#b6c2d1;
  margin-bottom:50px;
}

.portfolio-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit, minmax(280px, 1fr));
  gap:30px;
}

.work-card{
  background:#081226;
  border:1px solid rgba(0,102,255,.3);
  border-radius:20px;
  padding:20px;
  transition:.3s;
}

.work-card:hover{
  transform:translateY(-8px);
  box-shadow:0 0 35px rgba(0,102,255,.35);
  border-color:#0066ff;
}

.work-card img{
  width:100%;
  height:220px;
  object-fit:cover;
  border-radius:15px;
  margin-bottom:20px;
}
.marketing{
  padding:100px 8%;
  background:#040b1f;
  text-align:center;
}

.small-title{
  color:#0066ff;
  letter-spacing:4px;
  font-weight:bold;
  margin-bottom:15px;
}

.marketing h2{
  font-size:3.5rem;
  margin-bottom:20px;
}

.marketing-text{
  max-width:800px;
  margin:0 auto 60px;
  color:#b6c2d1;
  font-size:1.1rem;
  line-height:1.7;
}
.pricing{
  padding:110px 8%;
  background:#020817;
  text-align:center;
}

.pricing h2{
  font-size:3.5rem;
  margin-bottom:20px;
}

.pricing-intro{
  max-width:750px;
  margin:0 auto 70px;
  color:#b6c2d1;
  line-height:1.7;
}

.pricing-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
  gap:35px;
}

.price-card{
  position:relative;

  background:#081226;

  border:1px solid rgba(0,102,255,.25);

  border-radius:25px;

  padding:45px 35px;

  transition:.3s;
}

.price-card:hover{
  transform:translateY(-10px);

  border-color:#0066ff;

  box-shadow:
  0 0 40px rgba(0,102,255,.3);
}

.price-card h3{
  font-size:2rem;
  margin-bottom:20px;
}

.price{
  font-size:4rem;
  font-weight:bold;
  color:#0066ff;
  margin-bottom:20px;
}

.plan-text{
  color:#b6c2d1;
  margin-bottom:30px;
  line-height:1.6;
}

.price-card ul{
  list-style:none;
  text-align:left;
  margin-bottom:35px;
}

.price-card li{
  margin-bottom:14px;
  color:#d4dce7;
}

.price-card li::before{
  content:"✓ ";
  color:#0066ff;
  font-weight:bold;
}

.price-card a{
  display:inline-block;

  width:100%;

  padding:16px;

  background:#0066ff;

  color:white;

  text-decoration:none;

  border-radius:12px;

  font-weight:bold;

  transition:.3s;
}

.price-card a:hover{
  box-shadow:
  0 0 25px #0066ff;
}

.featured{
  border:2px solid #0066ff;

  transform:scale(1.03);
}

.popular{
  position:absolute;

  top:-15px;
  left:50%;

  transform:translateX(-50%);

  background:#0066ff;

  padding:8px 18px;

  border-radius:30px;

  font-size:.8rem;

  font-weight:bold;

  letter-spacing:2px;
}

.addons{
  padding:100px 8%;
  background:#040b1f;
  text-align:center;
}

.addons h2{
  font-size:3rem;
  margin-bottom:45px;
}

.addons-box{
  max-width:900px;
  margin:auto;
  background:#081226;
  border:1px solid rgba(0,102,255,.3);
  border-radius:25px;
  padding:30px;
  box-shadow:0 0 35px rgba(0,102,255,.15);
}

.addon-item{
  display:flex;
  justify-content:space-between;
  gap:20px;
  padding:18px 0;
  border-bottom:1px solid rgba(255,255,255,.08);
  color:#d4dce7;
}

.addon-item:last-child{
  border-bottom:none;
}

.addon-item strong{
  color:#0066ff;
}
.process{
  padding:90px 8%;
  background:#f7f7f7;
  text-align:center;
}

.process h2{
  color:#111;
  font-size:2.8rem;
  margin-bottom:60px;
}

.process-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(180px,1fr));
  gap:30px;
  max-width:1400px;
  margin:auto;
}

.process-step{
  position:relative;
  padding:30px 20px;
  transition:.3s;
}

.process-step:hover{
  transform:translateY(-5px);
}

.step-number{
  width:65px;
  height:65px;

  margin:0 auto 25px;

  border-radius:50%;

  display:flex;
  align-items:center;
  justify-content:center;

  background:#0066ff;

  color:white;

  font-weight:bold;
  font-size:1.3rem;

  box-shadow:
  0 0 25px rgba(0,102,255,.35);
}

.process-step h3{
  color:#008cff;
  font-size:1.2rem;
  line-height:1.5;
  font-weight:500;
}
.contact{
  padding:100px 8%;
  background:#020817;
}

.contact-form{
  max-width:900px;
  margin:auto;
  background:#081226;
  border:1px solid rgba(0,102,255,.35);
  border-radius:25px;
  padding:35px;
  box-shadow:0 0 35px rgba(0,102,255,.2);
}

.contact-form h2{
  font-size:2.4rem;
  margin-bottom:25px;
  color:white;
}

.contact-form input,
.contact-form textarea{
  width:100%;
  padding:18px;
  margin-bottom:20px;
  border-radius:30px;
  border:1px solid rgba(255,255,255,.35);
  outline:none;
  font-size:1rem;
}

.contact-form textarea{
  height:160px;
  resize:none;
  border-radius:20px;
}

.contact-form button{
  padding:15px 35px;
  border:none;
  border-radius:30px;
  background:#0066ff;
  color:white;
  font-weight:bold;
  font-size:1rem;
  cursor:pointer;
}

.contact-form button:hover{
  box-shadow:0 0 25px #0066ff;
}

@media(max-width:700px){
nav{
    padding:18px 5%;
    flex-direction:column;
    gap:16px;
  }

  .nav-links{
    flex-wrap:wrap;
    justify-content:center;
    gap:14px;
  }

  .nav-links a{
    font-size:.85rem;
  }

  .hero{
    padding:160px 6% 80px;
    text-align:center;
  }

  .hero-content{
    margin-top:60px;
    max-width:100%;
  }

  .hero-content h1{
    font-size:2.7rem;
  }

  .hero-content p{
    font-size:1rem;
  }

  .marketing h2,
  .pricing h2,
  .portfolio h2,
  .addons h2,
  .process h2{
    font-size:2.2rem;
  }

  .pricing-grid,
  .portfolio-grid,
  .marketing-grid,
  .services{
    grid-template-columns:1fr;
  }

  .featured{
    transform:none;
  }

  .price{
    font-size:3rem;
  }

  .contact-form{
    padding:25px;
  }
}

@media(max-width:480px){

  .logo{
    font-size:1.1rem;
  }

  .nav-links{
    gap:10px;
  }

  .nav-links a{
    font-size:.78rem;
  }

  .hero-content h1{
    font-size:2.1rem;
  }

  .hero-btn{
    width:100%;
    text-align:center;
  }

  section,
  .marketing,
  .portfolio,
  .pricing,
  .addons,
  .process,
  .contact,
  .services{
    padding:70px 5%;
  }

  .price-card,
  .marketing-card,
  .work-card,
  .card,
  .addons-box{
    padding:25px;
  }

  .work-card img{
    height:180px;
  }
}



@media(max-width:600px){
  .addon-item{
    flex-direction:column;
    text-align:left;
  }
}

.marketing-grid{
  display:grid;
  grid-template-columns:repeat(auto-fit, minmax(250px, 1fr));
  gap:30px;
}

.marketing-card{
  background:#081226;
  border:1px solid rgba(0,102,255,.3);
  border-radius:22px;
  padding:35px;
  text-align:left;
  transition:.3s;
}

.marketing-card:hover{
  transform:translateY(-8px);
  border-color:#0066ff;
  box-shadow:0 0 35px rgba(0,102,255,.35);
}

.marketing-card h3{
  color:#0066ff;
  margin-bottom:20px;
  font-size:1.5rem;
}

.marketing-card ul{
  list-style:none;
  margin-bottom:30px;
}

.marketing-card li{
  color:#cfd8e3;
  margin-bottom:12px;
}

.marketing-card li::before{
  content:"➜ ";
  color:#0066ff;
}

.marketing-card a{
  display:inline-block;
  padding:13px 26px;
  background:#0066ff;
  color:white;
  text-decoration:none;
  border-radius:10px;
  font-weight:bold;
}

.marketing-card a:hover{
  box-shadow:0 0 25px #0066ff;
}

.work-card h3{
  color:#0066ff;
  margin-bottom:10px;
}

.work-card p{
  color:#b6c2d1;
  margin-bottom:25px;
}

.work-card a{
  display:inline-block;
  padding:14px 30px;
  background:#0066ff;
  color:white;
  text-decoration:none;
  border-radius:10px;
  font-weight:bold;
  transition:.3s;
}

.work-card a:hover{
  box-shadow:0 0 25px #0066ff;
  transform:translateY(-3px);
}

/* MOBILE */

@media(max-width:900px){

  nav{
    flex-direction:column;
    gap:20px;
  }

  .hero-content{
    margin-top:100px;
  }

  .hero-content h1{
    font-size:3rem;
  }

}